package main

import (
	_ "eta/eta_data_analysis/routers"
	"eta/eta_data_analysis/services"

	beego "github.com/beego/beego/v2/server/web"
)

func main() {
	if beego.BConfig.RunMode == "dev" {
		beego.BConfig.WebConfig.DirectoryIndex = true
		beego.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	}
	services.Task()
	beego.Run()
}
